classification
Title: Optional compact and colored output for regrest
Type: enhancement Stage: needs patch
Components: Tests Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Compact output for regrtest
View: 17554
Assigned To: Nosy List: BreamoreBoy, brett.cannon, ezio.melotti, pitrou, terry.reedy
Priority: low Keywords:

Created on 2012-09-19 18:05 by brett.cannon, last changed 2014-08-06 23:53 by pitrou. This issue is now closed.

Messages (7)
msg170733 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-09-19 18:05
It would be nice to have something like sphinx's build output where the output is all kept on a single line except for failures.

The color would help when scrolling through current output looking for failures. Currently I just look until the failure count switches, but I can spot color more quickly and easily.

The reason for the compact output is that I simply don't typically care about passed tests, so why keep it visible? It also helps with noticing tests failures if those are the only tests that are kept in the terminal while the suite is running (obviously the output summary is still there).

This also suggests having an option to write out to a file the test results to make it easier to see the exact test execution order (and if passed tests are commented out then it's easier to pass the file to --fromfile to re-run the fail tests).
msg170735 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2012-09-19 18:18
> It would be nice to have something like sphinx's build output where
> the output is all kept on a single line except for failures.

+1

I wanted the exact same thing for a long time but never had time to look at it.  OTOH the more features are added to regrtest, the more complex it gets, and it's already fairly complex as it is.

A better option might be to create a new unittest test runner, and then start switching regrtest to use more unittest bits (see #10967).  That should allow us to select the runner we prefer, and that can also be available for regular unittests (there might even be something already).
msg170738 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-09-19 18:23
I also think it would be better to refactor regrtest before adding this kind of complication.
msg170755 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-09-19 19:25
I totally agree, I just wanted this in the tracker as a long-term goal to have. I have made this a dependency on issue #10967 which is tracking moving regrtest over unittest as much as possible.
msg170948 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-09-22 01:19
Great idea. By default, the windows console keeps fewer lines of output than regrtest generates, which means that earlier errors are gone before it finishes.
msg177653 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-12-17 17:17
Clang's test runner output is really nice; green-coloured progress bar on one line, next line listing what is executing. Eventual output listing details of the run (e.g. counts of what was run, expected failures, etc.).
msg222316 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-07-04 21:00
What's the difference between this and #17554?
History
Date User Action Args
2014-08-06 23:53:55pitrousetstatus: open -> closed
dependencies: - move regrtest over to using more unittest infrastructure
resolution: duplicate
2014-07-05 17:16:58floxsetsuperseder: Optional compact and colored output for regrest -> Compact output for regrtest
2014-07-05 17:16:58floxunlinkissue15974 superseder
2014-07-05 13:28:56brett.cannonsetsuperseder: Optional compact and colored output for regrest
2014-07-05 13:28:56brett.cannonlinkissue15974 superseder
2014-07-04 21:00:02BreamoreBoysetnosy: + BreamoreBoy
messages: + msg222316
2012-12-17 17:17:13brett.cannonsetmessages: + msg177653
2012-09-22 01:19:28terry.reedysetnosy: + terry.reedy
messages: + msg170948
2012-09-19 19:25:24brett.cannonsetdependencies: + move regrtest over to using more unittest infrastructure
messages: + msg170755
2012-09-19 18:23:49pitrousetnosy: + pitrou
messages: + msg170738
2012-09-19 18:18:49ezio.melottisetnosy: + ezio.melotti
messages: + msg170735
2012-09-19 18:05:37brett.cannoncreate